View a markdown version of this page

CreateSecurityRequirementPack - AWS Security Agent

CreateSecurityRequirementPack

Creates a customer managed security requirement pack.

Request Syntax

POST /CreateSecurityRequirementPack HTTP/1.1 Content-type: application/json { "description": "string", "kmsKeyId": "string", "name": "string", "status": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

description

A description of the security requirement pack.

Type: String

Required: No

kmsKeyId

The identifier of the AWS KMS key used to encrypt pack contents.

Type: String

Required: No

name

The name of the security requirement pack.

Type: String

Required: Yes

status

The status of the pack. Defaults to ENABLED if not provided.

Type: String

Valid Values: ENABLED | DISABLED

Required: No

tags

The tags to associate with the security requirement pack.

Type: String to string map

Required: No

Response Syntax

HTTP/1.1 201 Content-type: application/json { "kmsKeyId": "string", "packId": "string", "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

kmsKeyId

The identifier of the AWS KMS key used to encrypt pack contents.

Type: String

packId

The unique identifier of the created security requirement pack.

Type: String

status

The status of the created security requirement pack.

Type: String

Valid Values: ENABLED | DISABLED

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the resource.

message

Error description.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ServiceQuotaExceededException

The request exceeds a service quota. Review your current usage and request a quota increase if needed.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: